pub mod telecom;

#[cfg(test)]
mod tests {
    use super::*;
    #[test]
    fn test_to_urlencoded() {
        let message = Message {
            userid: "123",
            password: "456",
            mobile: "18605120786",
            content: "Hello world!"
        };
        let s = format!("userId={}&password={}&mobile={}&content={}", message.userid, message.password, message.mobile, message.content); 
        assert_eq!(&s, rocket::http::RawStr::new(&s).percent_encode().as_str());
    }
    #[test]
    fn test_req() {
        telecom::send_msg("1","2","3","4");
    }
}
